文档章节

centos6.2 eclipse安装svn插件

xiaoyang0878
 xiaoyang0878
发布于 2012/11/20 15:49
字数 263
阅读 343
收藏 0

Eclipse选用jee版本下载地址:

http://mirror.bit.edu.cn/eclipse/technology/epp/downloads/release/indigo/SR2/eclipse-jee-indigo-SR2-linux-gtk-x86_64.tar.gz

 

svn安装地址:  http://subclipse.tigris.org/update_1.8.x

maven插件地址(按顺序安装):

http://m2eclipse.sonatype.org/sites/m2e

http://m2eclipse.sonatype.org/sites/m2e-extras

 

在使用Eclipse到时候,会报如下错误:

Failed to load JavaHL Library.

These are the errors that were encountered:

no libsvnjavahl-1 in java.library.path

no svnjavahl-1 in java.library.path

 

缺少subversion的javahl库,安装之:

yum install subversion-javahl.x86_64  #若不是64位的可以使用命令yum search subversion-javahl查询具体信息

 

查看subversion-javahl.x86_64的安装路径,使用命令:rpm -ql subversion-javahl.x86_64显示如下:

/usr/lib64/libsvnjavahl-1.la

/usr/lib64/libsvnjavahl-1.so

/usr/lib64/libsvnjavahl-1.so.0

/usr/lib64/libsvnjavahl-1.so.0.0.0

/usr/share/java/svn-javahl.jar

 

在Eclipse到启动配置文件eclipse.ini文件中添加如下变量:

-Djava.library.path=/usr/lib64/

重新启动,该错误消失!

 

但是可能会出现如下错误:

Incompatible JavaHL library loaded. 1.7.x or later required.  安装了javaHL仍然报版本低

打开Eclipse首选项,进入team-SVN,在设置里面的SVN接口中选择svnkit,确定,问题解决

本文转载自:http://289972458.iteye.com/blog/1556199

xiaoyang0878
粉丝 17
博文 52
码字总数 7963
作品 0
闸北
程序员
私信 提问
centos6.2上svn错误,求有经验的指导。

系统环境centos6.2:安装svnserve。客户端eclipse可以正常,但在服务器上checkout出错。 [root@test1 checkoutworkspace]# svn checkout svn://192.168.1.12/source/xd56library . svn: E200......

熊二哈
2012/04/26
1K
5
如何在Eclipse下安装SVN插件——subclipse以及安装svn常出现的错误总结

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/bitree1/article/details/50440234 Eclipse导入在svn中的项目问题 总结:Eclipse中SVN插件的版本要和系统里安...

bitree1
2015/12/31
0
0
eclipse 安装svn插件(Subclipse)

1、Eclipse的SVN插件Subclipse Subclipse 是一个为 Eclipse IDE 添加 Subversion 支持的项目。支持几乎所有版本的Eclipse。 Eclipse的更新地址是: http://subclipse.tigris.org/update1.6....

jackson_open
2014/02/14
1K
0
eclipse4.3集成maven,svn

在eclipse官网下载最新的j2ee版本eclipse,里面有自带的maven,没有集成subclipse,通过eclipse自己的仓库eclipse marketplace下载:Help->eclipse marketplace,搜索svn,找到Subeclipse 1....

四-月
2015/07/15
1K
0
eclipse使用了这么多年,居然不能配置svn等插件,求指导

系统环境 win7 64位系统 使用link的方式安装的。 例如 svn 目录结构 eclipse ﹉dropins/svn.link(配置path=\\myplug\\svn) ﹉myplug/svn(插件包) 在32位的xp系统启动eclipse成功,有svn插件 ...

xhu_cf
2015/08/31
1K
6

没有更多内容

加载失败,请刷新页面

加载更多

Centos6.6 安装ffmpeg视频工具

1.安装前置工具 yum -y install gcc cc cl libmpc*//后续失败的话,自己补充自己的缺少的包 2.安装yasm 1)下载wget http://www.tortall.net/projects/yasm/releases/yasm-1.3.0.tar.gz...

小海bug
12分钟前
3
0
电商的支付风控怎么玩?

qwfys
16分钟前
5
0
用什么来做用户行为分析?七个实用工具推荐给你

当企业进入数据化管理阶段之后,就不得不对用户进行行为数据分析,当然其他的包括用户画像、趋势分析等等,都是现在企业经常要进行的营销分析,因此选一个好的数据分析工具是很重要的。 而现...

朕想上头条
17分钟前
4
0
Java mysql连接

import java.sql.DriverManager; import java.sql.SQLException; import com.mysql.jdbc.Connection; public class T { public static void main(String[] args) throws SQLException, Insta......

林词
17分钟前
3
0
Select 选择器 的一些官网没有的用法

一、拼接字符串 <el-option v-for="(item, index) in reagentOptions" :key="index" :label="item.sjlxmc+' '+item.sjbm" :va......

沉迷代码我爱学习
18分钟前
3
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部